CREATE
	TABLE notes
	(
		creation INTEGER PRIMARY KEY,
		user_id TEXT DEFAULT '',
		last_sync INTEGER DEFAULT 0,
		last_modification INTEGER,
		title TEXT DEFAULT '',
		content TEXT,
		archived INTEGER DEFAULT 0,
		trashed INTEGER DEFAULT 0,
		alarm INTEGER DEFAULT null,
        reminder_fired INTEGER DEFAULT 0,
		recurrence_rule TEXT,
		latitude REAL,
		longitude REAL,
		address TEXT,
		category_id INTEGER DEFAULT null,
		locked INTEGER DEFAULT 0,
		pined INTEGER,
		sticky_color TEXT,
		sticky_type INTEGER DEFAULT 0,
		font_name TEXT,
		checklist  INTEGER DEFAULT 0,
		calendar INTEGER DEFAULT 0,
		pattern TEXT,
		tags TEXT,
		favorite INTEGER DEFAULT 0
	);

CREATE
	TABLE attachments
	(
		attachment_id INTEGER PRIMARY KEY AUTOINCREMENT,
		uri TEXT,
		name TEXT,
		size INTEGER,
		length INTEGER,
		mime_type TEXT,
		order_id INTEGER,
		sort_id INTEGER,
		note_id INTEGER
	);

CREATE
	TABLE categories
	(
		category_id INTEGER PRIMARY KEY,
		user_id TEXT DEFAULT '',
        last_sync INTEGER DEFAULT 0,
        last_modification INTEGER DEFAULT 0,
		name TEXT,
		description TEXT,
		color TEXT,
		cate_lock INTEGER
	);
